Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.m12n
[Java] Class PropertiesModuleFactory

    java.lang.Object
      org.codehaus.groovy.runtime.m12n.PropertiesModuleFactory

    public abstract class PropertiesModuleFactory
    extends java.lang.Object

This is the base class for classes responsible for creating modules using properties.

Authors:
  Cedric Champeau

Since:
  2.0.0

Field Summary
`static java.lang.String` | `MODULE_NAME_KEY`
`static java.lang.String` | `MODULE_VERSION_KEY`

Method Summary
`ExtensionModule` | `newModule(java.util.Properties properties, java.lang.ClassLoader classLoader)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### MODULE_NAME_KEY

    public static final java.lang.String MODULE_NAME_KEY

### MODULE_VERSION_KEY

    public static final java.lang.String MODULE_VERSION_KEY

Method Detail

### newModule

    public ExtensionModule newModule(java.util.Properties properties, java.lang.ClassLoader classLoader)

Groovy Documentation